- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/globalFrontendSettings/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/globalFrontendSettings/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/globalFrontendSettings/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/globalFrontendSettings/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/globalFrontendSettings/get#body.GlobalFrontendSettings.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/globalFrontendSettings/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/globalFrontendSettings/get#try-it)

Gets the Global Frontend Billing Bundle Settings for a project.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/global/globalFrontendSettings`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Required. Project ID for this request. |

### Request body

The request body must be empty.

### Response body

Represents the Global Frontend Bundle settings for a single project.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "id": string, "bundleType": enum, "name": string, "etag": string, "creationTimestamp": string, "selfLink": string, "description": string } ``` |

| Fields ||
|---|---|
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `bundleType` | `enum` Customer-settable bundle type. |
| `name` | `string` Output only. OUTPUT_ONLY fields Output only. Name of the resource. Must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `etag` | `string` Output only. For optimistic locking. |
| `creationTimestamp` | `string` Output only. Creation timestamp in RFC3339 text format. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `description` | `string` Output only. An optional description of this resource. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).